Panda3D

Loading...
Searching...
No Matches
Typedefs | Functions | Variables
pta_ushort.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "pandabase.h"`
`#include "pointerToArray.h"`
`#include "vector_ushort.h"`

Go to the source code of this file.

## Typedefs
typedef ConstPointerToArray< unsigned short > | CPTA_ushort

## Functions
PointerToArrayBase< ushort > | EXPORT_TEMPLATE_CLASS (EXPCL_PANDA_PUTIL, EXPTP_PANDA_PUTIL, PointerToArray< unsigned short >) EXPORT_TEMPLATE_CLASS(EXPCL_PANDA_PUTIL
| EXPORT_TEMPLATE_CLASS (EXPCL_PANDA_PUTIL, EXPTP_PANDA_PUTIL, PointerToBase< ReferenceCountedVector< ushort > >) EXPORT_TEMPLATE_CLASS(EXPCL_PANDA_PUTIL
| A pta of ushorts.

## Variables
| EXPTP_PANDA_PUTIL
PointerToArrayBase< ushort > ConstPointerToArray< unsigned short > typedef PointerToArray< unsigned short > | PTA_ushort

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2000-05-10

Definition in file pta_ushort.h.

## Typedef Documentation

## ◆ CPTA_ushort

typedef ConstPointerToArray<unsigned short> CPTA_ushort

Definition at line 35 of file pta_ushort.h.

## Function Documentation

## ◆ EXPORT_TEMPLATE_CLASS()

EXPORT_TEMPLATE_CLASS | ( | EXPCL_PANDA_PUTIL | ,
|  | EXPTP_PANDA_PUTIL | ,
|  | PointerToBase< ReferenceCountedVector< ushort > > | )

A pta of ushorts.

This class is defined once here, and exported to PANDA.DLL; other packages that want to use a pta of this type (whether they need to export it or not) should include this header file, rather than defining the pta again.

## Variable Documentation

## ◆ EXPTP_PANDA_PUTIL

PointerToArrayBase< ushort > EXPTP_PANDA_PUTIL

Definition at line 30 of file pta_ushort.h.

## ◆ PTA_ushort

PointerToArrayBase< ushort > ConstPointerToArray<unsigned short> typedef PointerToArray<unsigned short> PTA_ushort

Definition at line 34 of file pta_ushort.h.